import { SplineSeriesBase } from "./SplineSeriesBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SplineSeriesBaseView } from "./SplineSeriesBaseView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class SplineSeries extends SplineSeriesBase {
    static $t: Type;
    protected get_fd(): boolean;
    protected cg(): SeriesView;
    protected wg(): boolean;
    o0(a: SeriesView): void;
    zz: SplineSeriesView;
    constructor();
    zy: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    nj(a: boolean, b: SeriesView): void;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class SplineSeriesView extends SplineSeriesBaseView {
    static $t: Type;
    protected df: SplineSeries;
    constructor(a: SplineSeries);
    au(): void;
    private dq;
    private dp;
    private dr;
    get dm(): Path;
    get dn(): Path;
    get dl(): Path;
    dg(): void;
    dh(a: number, b: List$1<number[]>, c: boolean, d: UnknownValuePlotting, e: Clipper, f: number, g: number): void;
    private dk;
    private dj;
    private di;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
